<?php
/**
* Returns a redirect links list
* @return string
*/
function listLinksRedirect( ){
  $oFFS = FlatFilesSerialize::getInstance( );

  $aRedirects = $oFFS->getData( DB_LINKS_REDIRECT );
  if( isset( $aRedirects ) && is_array( $aRedirects ) && count( $aRedirects ) > 0 ){
    $content = null;
    $iCount = count( $aRedirects );
    $i = 0;

    foreach( $aRedirects as $sUrlFrom => $sUrlTo ){
      $content .= '<tr class="l'.( ( $i % 2 ) ? 0: 1 ).'">
          <td class="url-from"><span class="hide">'.$sUrlFrom.$sUrlTo.'</span><input class="input" type="text" name="aAddressFrom['.$sUrlFrom.']" value="'.$sUrlFrom.'" size="75" maxlength="60" /></td>
          <td class="url-to"><input class="input" type="text" name="aAddressTo['.$sUrlFrom.']" value="'.$sUrlTo.'" size="75" maxlength="60" /></td>
        </tr>';
      $i++;
    } // end foreach

    if( isset( $content ) )
      return $content;
  }
} // end function listLinksRedirect

/**
* Saves a redirect links
* @param array
*/
function saveLinksRedirect( $aForm ){
  $oFFS = FlatFilesSerialize::getInstance( );

  if( isset( $aForm['aAddressFrom'] ) && is_array( $aForm['aAddressFrom'] ) ){
    $aLinksRedirect = $oFFS->getData( DB_LINKS_REDIRECT );

    foreach( $aForm['aAddressFrom'] as $sKeyRaw => $sUrlFrom ){
      $bChangedOne = null;
      $sKey = changeTxt( $sKeyRaw, '' );
      $sUrlFrom = changeTxt( $sUrlFrom, '' );
      $sUrlTo = changeTxt( $aForm['aAddressTo'][$sKeyRaw], '' );
      if( isset( $aLinksRedirect[$sUrlFrom] ) && !empty( $sUrlTo ) ){
        if( $aLinksRedirect[$sUrlFrom] != $sUrlTo ){
          $bChangedOne = true;
        }
      }
      else{
        unset( $aLinksRedirect[$sKey] );
        $bChangedOne = true;
      }

      if( isset( $bChangedOne ) ){
        if( !empty( $sUrlFrom ) && !empty( $sUrlTo ) && $sUrlTo != $sUrlFrom )
          $aLinksRedirect[$sUrlFrom] = $sUrlTo;
        $bChanged = true;
      }
    } // end foreach
  }

  if( isset( $aForm['aAddressFromAdd'] ) ){
    foreach( $aForm['aAddressFromAdd'] as $iKey => $sUrlFrom ){
      if( !empty( $sUrlFrom ) && !empty( $aForm['aAddressToAdd'][$iKey] ) && $aForm['aAddressToAdd'][$iKey] != $sUrlFrom ){
        $aLinksRedirect[changeTxt( $sUrlFrom, '' )] = changeTxt( $aForm['aAddressToAdd'][$iKey], '' );
        $bChanged = true;
      }
    } // end foreach
  }

  if( isset( $bChanged ) && isset( $aLinksRedirect ) ){
    $oFFS->saveData( DB_LINKS_REDIRECT, $aLinksRedirect );
  }
} // end function saveLinksRedirect
?>